<section id="mainBody">
    <h3 class="title"><span>Registration</span></h3>
        <ul class="breadcrumb">
        <li><a href="index.html">Home</a></li>
        <li>Registration</li>
        </ul>
      <div class="well">
            <div class="container">
              <div class="row">
                  <div class="col-md-4"></div>
                    <div class="col-md-4 formtext">
                      <form [formGroup]="registrationForm" class="formClass" autocomplete="false">
                          <h3>Create Account</h3>
                          <div class="form-group">
                            <strong>Your name</strong><br>
                            <input type="text" formControlName="name" name="name" id="name" placeholder="Your Name" class="form-control">
                            <span *ngIf="this.registrationForm.get('name').touched && this.registrationForm.get('name').invalid"
                            class="error">
                              <span *ngIf="this.registrationForm.get('name').errors.required">
                                Full Name Required.
                              </span>
                              <span *ngIf="this.registrationForm.get('name').errors.minlength">
                                Name Should be atleast greate then 5 characters.
                              </span>
                            </span>
                          </div>
                          <div class="form-group">
                            <strong>Email address</strong><br>
                            <input type="text" formControlName="email" name="email" id="email" placeholder="Your Email Address" class="form-control">
                            <span *ngIf="this.registrationForm.get('email').touched && this.registrationForm.get('email').invalid"
                            class="error">
                              <span *ngIf="this.registrationForm.get('email').errors.required">
                                Email Required.
                              </span>
                              <span *ngIf="this.registrationForm.get('email').errors.pattern">
                                Invalid Email
                              </span>
                           </span>
                          </div> 
                          <div class="form-group"> 
                            <strong>Mobile number(Optional)</strong><br>
                            <div class="row">
                              <div class="col-sm-3 col-xs-4 mobno">
                                <select style="width: 90px;" name="" readonly="readonly"  class="form-control">
                                  <option value="IN +91">IN +91</option>
                                </select>
                              </div>
                            <div class="col-sm-9 col-xs-8 mobnoi">  
                            <input type="text" formControlName="phone" name="mob" id="mob" maxlength="10" class="form-control" placeholder="Mobile number"></div>
                            </div><!-- end of row-->
                            <span *ngIf="this.registrationForm.get('phone').touched && this.registrationForm.get('phone').invalid"
                            class="error">
                              <span *ngIf="this.registrationForm.get('phone').errors.minLength">
                                Invalid Phone.
                              </span>
                              <span *ngIf="this.registrationForm.get('phone').errors.pattern">
                                Invalid Phone.
                              </span>
                            </span>
                          </div>
                          <div class="form-group">  
                            <strong>Password</strong><br>
                            <input type="password" formControlName="password" name="upass" id="upass" class="form-control" placeholder="At least 6 characters">
                            <span *ngIf="this.registrationForm.get('password').touched && this.registrationForm.get('password').invalid"
                            class="error">
                              <span *ngIf="this.registrationForm.get('password').errors.required">
                                Password required.
                              </span>
                              <span *ngIf="this.registrationForm.get('password').errors.minlength">
                                  Password should be greater then 6 digists.
                                </span>
                            </span>
                          </div>
                            <small><h5>We will send you a text to verify your Phone.Message and Data rates may apply.
                            </h5></small>
                            <input type="submit" (click)="registrationFormSubmit()" value="Continue" class="btn btn-warning form-control">
                          Already have an account?<a style="text-decoration: none;" href="/userlogin">Sign in </a>
                      </form>
                    </div>
                  <div class="col-md-4"></div>
              </div>
            </div>
      </div>
  
</section>
